## AgsFxPatternAudioProcessor

AgsFxPatternAudioProcessor — fx pattern audio processor

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_fx_pattern_audio_processor_key_on ()
void | ags_fx_pattern_audio_processor_play ()
void | ags_fx_pattern_audio_processor_counter_change ()
AgsFxPatternAudioProcessor * | ags_fx_pattern_audio_processor_new ()

## Types and Values

#define | AGS_FX_PATTERN_AUDIO_PROCESSOR_DEFAULT_KEY_ON_VELOCITY

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallAudioRun
                ╰── AgsFxPatternAudioProcessor

## Includes

    #include <ags/audio/fx/ags_fx_pattern_audio_processor.h>

## Description

The AgsFxPatternAudioProcessor class provides ports to the effect processor.

## Functions

### ags_fx_pattern_audio_processor_key_on ()

    void
    ags_fx_pattern_audio_processor_key_on (AgsFxPatternAudioProcessor *fx_pattern_audio_processor,
                                           AgsNote *note,
                                           guint velocity,
                                           guint key_mode);

### ags_fx_pattern_audio_processor_play ()

    void
    ags_fx_pattern_audio_processor_play (AgsFxPatternAudioProcessor *fx_pattern_audio_processor);

### ags_fx_pattern_audio_processor_counter_change ()

    void
    ags_fx_pattern_audio_processor_counter_change
                                   (AgsFxPatternAudioProcessor *fx_pattern_audio_processor);

### ags_fx_pattern_audio_processor_new ()

    AgsFxPatternAudioProcessor *
    ags_fx_pattern_audio_processor_new (AgsAudio *audio);

Create a new instance of AgsFxPatternAudioProcessor

#### Parameters

audio | the AgsAudio |

#### Returns

the new AgsFxPatternAudioProcessor

Since: 3.3.0

## Types and Values

### AGS_FX_PATTERN_AUDIO_PROCESSOR_DEFAULT_KEY_ON_VELOCITY

    #define AGS_FX_PATTERN_AUDIO_PROCESSOR_DEFAULT_KEY_ON_VELOCITY (127)